Name: gnuplot-py
Version: 1.8
Release: 20%{?dist}
Summary: Python interface to Gnuplot

Group: Development/Languages
License: LGPLv2+

URL: http://gnuplot-py.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: gnuplot-py-fix-raise.patch
BuildArch: noarch
BuildRequires: python-devel python-setuptools
BuildRequires: numpy
Requires: gnuplot
Requires: numpy

%description
Gnuplot.py is a Python package that interfaces to gnuplot, the popular 
open-source plotting program. It allows you to use gnuplot from within 
Python to plot arrays of data from memory, data files, or mathematical 
functions. 

%prep
%setup -q
# Removing the shebang
# http://sourceforge.net/tracker2/?func=detail&aid=2127867&group_id=17434&atid=117434
for F in utils.py __init__.py funcutils.py; do
 %{__sed} -i.orig -e 1d ${F}
 touch -r ${F}.orig ${F}
 %{__rm} ${F}.orig
done
chmod 644 test.py demo.py

# See this http://fedoraproject.org/wiki/Packaging:Python_Eggs
# before changing anything here
%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build

%install
%{__python2} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}

# These two are used by developers only, see
# http://sourceforge.net/tracker2/?func=detail&aid=2127867&group_id=17434&atid=117434
# They will go to doc
rm %{buildroot}%{python2_sitelib}/Gnuplot/demo.py*
rm %{buildroot}%{python2_sitelib}/Gnuplot/test.py*

%files
%doc ANNOUNCE.txt CREDITS.txt FAQ.txt LICENSE.txt NEWS.txt README.txt TODO.txt doc/Gnuplot test.py demo.py
%{python2_sitelib}/Gnuplot
%{python2_sitelib}/gnuplot_py-1.8-py2.7.egg-info

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 03 2014 Sergio Pascual <sergiopr@fedoraproject.org> - 1.8-18
- Revert change in build/install, it breaks eggs

* Wed Oct 29 2014 Sergio Pascual <sergiopr@fedoraproject.org> - 1.8-17
- Patch to fix bz #1158546
- Cleanup of old rpm macros

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.8-9
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 06 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 1.8-6
- Providing eggs
- Docs in Gnuplot dir
- Added txt docs
- Removed setup.py from installed files

* Sun Nov 02 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 1.8-5
- Url in source
- demo-py and test.py go to %%doc

* Fri Oct 03 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 1.8-4
- Directory doc goes to %%doc

* Fri Oct 03 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 1.8-3
- Build requires numpy

* Wed Sep 24 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 1.8-2
- Removing the shebang doesn't change the timestamps of the files
- Filled a bug upstream about the shebang 

* Mon Sep 22 2008 Sergio Pascual <sergiopr at fedoraproject.org> - 1.8-1
- Initial specfile

